Generate a script to install the gateway instance by RPM
GET /api/gateway_groups/{gateway_group_id}/deployment/rpm
GET /api/gateway_groups/{gateway_group_id}/deployment/rpmInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthQuery Parameters
dp_manager_address?string
The IP address of the control plane.
Length
1 <= lengthvalidity_period?integer
The validity period of the certificate in days.
Range
1 <= value <= 10950Default
3650Response Body
text/plain
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/deployment/rpm"Successfully generated the RPM install script for data plane installation.
"#!/bin/sh\nset -e\nCONF_DIR=/usr/local/apisix/conf\nGW_CONFIG=\"$CONF_DIR/config.yaml\"\nSERVICE=api7-gateway\nmkdir -p \"$CONF_DIR\"\ncat > \"$CONF_DIR/tls.crt\" <<'EOF'\n-----BEGIN CERTIFICATE-----\nMIIBhjCCATigAwIBAgICBAAwBQYDK2VwMEQxCzAJBgNVBAYTAlVTMRMwEQYDVQQI\n...\n-----END CERTIFICATE-----\nEOF\ncat > \"$CONF_DIR/tls.key\" <<'EOF'\n<REDACTED_PRIVATE_KEY_PEM>\nEOF\ncat > \"$CONF_DIR/ca.crt\" <<'EOF'\n-----BEGIN CERTIFICATE-----\nMIIBdTCCASegAwIBAgIQVXqTFu/hH4caZptKdGp04zAFBgMrZXAwRDELMAkGA1UE\n...\n-----END CERTIFICATE-----\nEOF\nchmod 644 \"$CONF_DIR/tls.key\" \"$CONF_DIR/tls.crt\" \"$CONF_DIR/ca.crt\"\ncat > \"$GW_CONFIG\" <<'EOF'\ndeployment:\n role: traditional\n role_traditional:\n config_provider: etcd\n etcd:\n host:\n - \"https://12.12.123.123:31344\"\n tls:\n cert: /usr/local/apisix/conf/tls.crt\n key: /usr/local/apisix/conf/tls.key\n verify: true\napisix:\n ssl:\n ssl_trusted_certificate: /usr/local/apisix/conf/ca.crt\nEOF\ncat > \"$CONF_DIR/gateway.env\" <<'EOF'\nAPI7_GATEWAY_GROUP_SHORT_ID=tabqbdwnahkqo\nEOF\nif id apisix >/dev/null 2>&1; then\n chown apisix:apisix \"$CONF_DIR/tls.crt\" \"$CONF_DIR/tls.key\" \"$CONF_DIR/ca.crt\" \"$CONF_DIR/gateway.env\"\nfi\nsystemctl enable \"$SERVICE\" >/dev/null 2>&1 || true\nsystemctl restart \"$SERVICE\"\n"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/deployment/rpm
Generate a script to install the gateway instance by RPM
IAM Action: gateway:CreateGatewayInstance, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
dp_manager_address(query, string, optional):gateway_group_id(path, string, required): Gateway group ID.validity_period(query, integer, optional):
Responses
200: Successfully generated the RPM install script for data plane installation.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/deployment/rpm'